curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
„objectTypeId“ des Objekttyps
Show child attributes
successful operation
Stellt das Ergebnis eines Batch-Upsert-Vorgangs dar, einschließlich des Status des Vorgangs, der Zeitstempel und einer Liste erfolgreich erstellter oder aktualisierter Objekte.
Der Zeitstempel, wann der Batch-Prozess abgeschlossen war (Format ISO 8601).
Show child attributes
Der Zeitstempel, wann die Ausführung des Batch-Prozesses ausgeführt wurde (Format ISO 8601).
Der Status der Batch-Verarbeitungsanfrage. Mögliche Werte: „PENDING“, „PROCESSING“, „CANCELED“ oder „COMPLETE“.
CANCELED, COMPLETE, PENDING, PROCESSING Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.
Show child attributes
Der Zeitstempel, wann der Batch-Prozess eingeleitet wurde (Format ISO 8601).